% $Id: findSegmentDefinitions.m,v 1.1 2014/12/13 16:28:30 aaron Exp aaron $
% find fixed points in polygon, and note their locations
function [segEnd,seg] = findSegmentDefinitions(g,fixedPoints)
n = length(g);
k=0;  % no. fixed points in path
for i=1:n
  dx = fixedPoints(:,1) - g(i,1);
  dy = fixedPoints(:,2) - g(i,2);
  d = dx .* dx + dy .* dy;
  [lo,j] = min(d);
  if (lo < 0.2)
    k=k+1;
    segEnd(k) = i;
  end
end

for i=1:k-1
  seg{i} = [segEnd(i):segEnd(i+1)];
end

end

% $Log: findSegmentDefinitions.m,v $
% Revision 1.1  2014/12/13 16:28:30  aaron
% Initial revision
%
