% $Id: setBySymmetry124.m,v 1.1 2014/12/13 17:23:33 aaron Exp aaron $
% set segments 6,3,5 by symmetry from segments 1,2,4 respectively
function gg = setBySymmetry124(gg0,segEnd,map);
g0 = gg0;  g0(:,3)=1;

g1 = g0(segEnd(1):segEnd(2),:);
g2 = g0(segEnd(2):segEnd(3),:);
g3 = g0(segEnd(3):segEnd(4),:);
g4 = g0(segEnd(4):segEnd(5),:);
g5 = g0(segEnd(5):segEnd(6),:);
g6 = g0(segEnd(6):segEnd(7),:);

g = (map.r16 * g0(segEnd(1):segEnd(2),:)')';
g6 = g([size(g,1):-1:1],:); % flip

g = (map.r23 * g0(segEnd(2):segEnd(3),:)')';
g3 = g([size(g,1):-1:1],:); % flip

g = (map.r45 * g0(segEnd(4):segEnd(5),:)')';
g5 = g([size(g,1):-1:1],:); % flip

gg = [g1(:,1:2); g2(2:end,1:2); g3(2:end,:); g4(2:end,1:2); g5(2:end,:); g6(2:end,:)];
end

% $Log: setBySymmetry124.m,v $
% Revision 1.1  2014/12/13 17:23:33  aaron
% Initial revision
%

