% used to refine map-identical (fractal-ish) segments
% of self similar curve, like escher gecko
function gg = updateMappedSegment(gg0,r,srcIdx,dstIdx,outlineColor,segColor)
if (nargin < 6)
  segColor = 'r';
  if (nargin < 5)
    outlineColor = 'y';
  end
end
gg = gg0;

g = (r * gg')';
plot(g(:,1),g(:,2),outlineColor);
ga=gg(srcIdx,:);
plot(ga(:,1),ga(:,2),'LineWidth',3,'Color',segColor);
plot(ga([1,end],1),ga([1,end],2),'x','Color',segColor);
%keyboard
g = (r * ga')';
gg2 = gg(dstIdx,1:2);
plot(gg2(:,1),gg2(:,2),'LineWidth',3,'Color',segColor);
plot(gg2([1,end],1),gg2([1,end],2),'+','Color',segColor);
g = g([size(g,1):-1:1],:);
g = 0.5 * ( gg2 + g );
plot(g(:,1),g(:,2),'LineWidth',3,'Color',segColor);
plot(g([1,end],1),g([1,end],2),'o','Color',segColor,'MarkerSize',5);
gg(dstIdx,1:2) = g;
plot(gg(:,1),gg(:,2));
end
